GMT Time Now
GMT is the abbreviation of Greenwich Mean Time. Time zone offset of GMT is UTC. Greenwich Mean Time is same as the UTC (GMT) universal time. GMT current date is 10th Tuesday November 2026. Current time in GMT (GMT).
GMT Time
03:45:28
10 November 2026 Tuesday
GMT is the common abbreviation for Greenwich Mean Time. It shows the mean solar time at the Greenwich Meridian, which passes through Greenwich Royal Observatory. Time zone offset of GMT is UTC. Greenwich Mean Time used to be the most popular time reference used widely before UTC. GMT time is used in such cities as London, Edinburgh, Dublin, Lisbon, Nouakott (Mauritania), El AaiĂșn (Western Sahara).
What time is it in Greenwich Mean Time now? It is 03:45:28 right now.
Greenwich Mean Time Date and Time Now in Various Formats
| Date Time Format | GMT Date Time Now |
|---|---|
| UTC | 2026-11-10T03:45:28Z |
| ISO-8601 | 2026-11-10T03:45:28+0000 |
| RFC 2822 | Tue, 10 Nov 2026 03:45:28 +0000 |
| RFC 850 | Tuesday, 10-Nov-26 03:45:28 GMT |
| RFC 1036 | Tue, 10 Nov 26 03:45:28 +0000 |
| RFC 1123 | Tue, 10 Nov 2026 03:45:28 +0000 |
| RFC 822 | Tue, 10 Nov 26 03:45:28 +0000 |
| RFC 3339 | 2026-11-10T03:45:28+00:00 |
| ATOM | 2026-11-10T03:45:28+00:00 |
| COOKIE | Tuesday, 10-Nov-2026 03:45:28 GMT |
| RSS | Tue, 10 Nov 2026 03:45:28 +0000 |
| W3C | 2026-11-10T03:45:28+00:00 |
| Unix Epoch | 1794282328 |
| YYYY-DD-MM HH:MM:SS | 2026-10-11 03:45:28 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-10-11 03:45:28 AM |
| DD-MM-YYYY HH:MM:SS | 10-11-2026 03:45:28 |
| MM-DD-YYYY HH:MM:SS | 11-10-2026 03:45:28 |